org.apache.cassandra.db

## Class NativeDeletedCell

- java.lang.Object
- - org.apache.cassandra.db.AbstractCell
  - - org.apache.cassandra.db.AbstractNativeCell
    - - org.apache.cassandra.db.NativeCell
      - - org.apache.cassandra.db.NativeDeletedCell

All Implemented Interfaces:
  IMeasurableMemory, Cell, CellName, Composite, DeletedCell, OnDiskAtom

    public class NativeDeletedCell
    extends NativeCell
    implements DeletedCell

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.db.OnDiskAtom

`OnDiskAtom.Serializer, OnDiskAtom.SerializerForWriting`

### Nested classes/interfaces inherited from interface org.apache.cassandra.db.composites.Composite

`Composite.EOC`

### Field Summary

### Fields inherited from interface org.apache.cassandra.db.Cell

`MAX_NAME_LENGTH`

### Constructor Summary

Constructors
Constructor and Description
`NativeDeletedCell(NativeAllocator allocator, OpOrder.Group writeOp, DeletedCell copyOf)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getLocalDeletionTime()`
`boolean` `isLive()`
`boolean` `isLive(long now)`
`DeletedCell` `localCopy(CFMetaData metadata, AbstractAllocator allocator)`
`DeletedCell` `localCopy(CFMetaData metadata, MemtableAllocator allocator, OpOrder.Group opGroup)`
`Cell` `reconcile(Cell cell)`
`int` `serializationFlags()`
`long` `unsharedHeapSize()`
`long` `unsharedHeapSizeExcludingData()`
`void` `updateDigest(java.security.MessageDigest digest)`
`void` `validateFields(CFMetaData metadata)`

### Methods inherited from class org.apache.cassandra.db.NativeCell

`name, timestamp`

### Methods inherited from class org.apache.cassandra.db.AbstractNativeCell

`clusteringSize, collectionElement, compareTo, compareToSimple, construct, copy, cql3ColumnName, dataSize, end, eoc, equals, equals, get, getByte, getByteBuffer, getBytes, getInt, getLong, getShort, internalSize, isCollectionCell, isEmpty, isPrefixOf, isSameCQL3RowAs, isStatic, maxTimestamp, minTimestamp, postfixSize, setByte, setBytes, setInt, setLong, setShort, size, sizeOf, slice, start, toByteBuffer, updateWithName, updateWithValue, value, withEOC, withUpdatedName, withUpdatedTimestamp, withUpdatedTimestampAndLocalDeletionTime, writeComponentTo, writeMemoryTo`

### Methods inherited from class org.apache.cassandra.db.AbstractCell

`cellDataSize, create, diff, diffCounter, equals, getString, hashCode, onDiskIterator, reconcileCounter, serializedSize, validateName`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.db.Cell

`cellDataSize, diff, getString, name, serializedSize, value, withUpdatedName, withUpdatedTimestamp, withUpdatedTimestampAndLocalDeletionTime`

### Methods inherited from interface org.apache.cassandra.db.OnDiskAtom

`timestamp`

### Constructor Detail

#### NativeDeletedCell

    public NativeDeletedCell(NativeAllocator allocator,
                             OpOrder.Group writeOp,
                             DeletedCell copyOf)

### Method Detail

#### reconcile

    public Cell reconcile(Cell cell)

Specified by:
  `reconcile` in interface `Cell`
Overrides:
  `reconcile` in class `AbstractCell`

#### isLive

    public boolean isLive()

Specified by:
  `isLive` in interface `Cell`
Overrides:
  `isLive` in class `AbstractCell`

#### isLive

    public boolean isLive(long now)

Specified by:
  `isLive` in interface `Cell`
Overrides:
  `isLive` in class `AbstractCell`

#### getLocalDeletionTime

    public int getLocalDeletionTime()

Specified by:
  `getLocalDeletionTime` in interface `OnDiskAtom`
Overrides:
  `getLocalDeletionTime` in class `AbstractCell`

#### serializationFlags

    public int serializationFlags()

Specified by:
  `serializationFlags` in interface `Cell`
Overrides:
  `serializationFlags` in class `AbstractCell`

#### validateFields

    public void validateFields(CFMetaData metadata)
                        throws MarshalException

Specified by:
  `validateFields` in interface `OnDiskAtom`
Overrides:
  `validateFields` in class `AbstractCell`
Throws:
  `MarshalException`

#### updateDigest

    public void updateDigest(java.security.MessageDigest digest)

Specified by:
  `updateDigest` in interface `OnDiskAtom`
Overrides:
  `updateDigest` in class `NativeCell`

#### localCopy

    public DeletedCell localCopy(CFMetaData metadata,
                                 AbstractAllocator allocator)

Specified by:
  `localCopy` in interface `Cell`
Specified by:
  `localCopy` in interface `DeletedCell`
Overrides:
  `localCopy` in class `NativeCell`

#### localCopy

    public DeletedCell localCopy(CFMetaData metadata,
                                 MemtableAllocator allocator,
                                 OpOrder.Group opGroup)

Specified by:
  `localCopy` in interface `Cell`
Specified by:
  `localCopy` in interface `DeletedCell`
Overrides:
  `localCopy` in class `NativeCell`

#### unsharedHeapSizeExcludingData

    public long unsharedHeapSizeExcludingData()

Specified by:
  `unsharedHeapSizeExcludingData` in interface `Cell`
Specified by:
  `unsharedHeapSizeExcludingData` in interface `CellName`
Overrides:
  `unsharedHeapSizeExcludingData` in class `NativeCell`

#### unsharedHeapSize

    public long unsharedHeapSize()

Specified by:
  `unsharedHeapSize` in interface `IMeasurableMemory`
Overrides:
  `unsharedHeapSize` in class `NativeCell`
Returns:
  the amount of on-heap memory retained by the object that might be reclaimed if the object were reclaimed, i.e. it should try to exclude globally cached data where possible, or counting portions of arrays that are referenced by the object but used by other objects only (e.g. slabbed byte-buffers), etc.